<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.fas.business.dao.mapper.PlanRuleMapper">
  
  <update id="updateIsDeleteByPlanIdList" parameterType="list">
    UPDATE c_plan_rule SET is_delete = #{isDelete} WHERE plan_id IN
    <foreach collection="planIdList" separator="," item="planId" open="(" close=")">
      #{planId}
    </foreach>
  </update>
  
  <update id="logicDeleteByRuleIdList" parameterType="list">
    UPDATE c_plan_rule SET is_delete = 1 WHERE rule_id IN
    <foreach collection="ruleIdList" separator="," item="ruleId" open="(" close=")">
      #{ruleId}
    </foreach>
  </update>
</mapper>